#ifndef MODULE_AREA_OVER_SPEED_H
#define MODULE_AREA_OVER_SPEED_H

/**
 * @brief 简要说明
 * @author 戴月腾
 * @date 2019-01-07
 */

#include <mutex>
#include <map>
#include <chrono>
#include <boost/thread.hpp>
#include <boost/enable_shared_from_this.hpp>

#include "module_singleton_base.h"
#include "card.h"


///区域超速
class module_area_over_speed:public singleton_base<module_area_over_speed>
{
private:
    friend class singleton_base<module_area_over_speed>;
    module_area_over_speed()
    {
    }

public:
    void on_enter(std::shared_ptr<card_location_base> card_ptr, int index);
    void on_hover(std::shared_ptr<card_location_base> card_ptr, int index);
    void on_leave(std::shared_ptr<card_location_base> card_ptr, int index);
};


#endif // MODULE_AREA_OVER_SPEED_H
